#! /bin/sh -e
#  /usr/lib/emacsen-common/packages/install/tamago-tsunagi
# [ This particular script hasn't been tested, so be careful. ]

set -e

FLAVOR=$1
PACKAGE="tamago-tsunagi"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el"

SITELISP=/usr/share/${FLAVOR}/site-lisp

case "${FLAVOR}" in
    emacs-2*)
	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
	rm -rf ${ELCDIR}
	install -m 755 -d ${ELCDIR}

	cp -a ${ELDIR}/* ${ELCDIR}

	# Byte compile
	(
	    cd ${ELCDIR}
	    make > ${ELCDIR}/CompilationLog 2>&1
	    rm -f its/*.el
	    rm -f egg/*.el
	    rm -f egg*.el
	    rm -f its.el
	    rm -f leim-list.el
	    rm -f menudiag.el
	    rm -f docomp.el
	    rm -f Makefile
	)

	gzip -9 ${ELCDIR}/CompilationLog

	install -p -m644 ${ELDIR}/vine-default-${PACKAGE}.el ${ELCDIR}
	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/50${STARTFILE}
	
	echo " done."
	;;
    *)
	;;
esac

exit 0;
